<%

  local function esc(x)
    return (x:gsub('\n', '\\n'):gsub('\r', '\\r'):gsub('\'', '\\\''))
  end

  write("gallery({\n")
  
  write("  title: \'" .. esc(model.metadata.groupTitle.value) .. "\',\n")
  
  write("  sizes: [{size: 480, path: \'images/480/\'}, {size: 960, path: \'images/960/\'}, {size: 1640, path: \'images/1640/\'}, {size: 2048, path: \'images/2048/\'}],\n")
  
  write("  slides: [\n")
  
  for i=1, numImages-1, 1 do
    write("    {image: \'" .. getImage(i).exportFilename .. ".jpg\', width: " .. getImage(i).renditions.large.width .. ", height: " .. getImage(i).renditions.large.height .. ", title: \'" .. esc(getImage(i).metadata.title) .. "\', description: \'" .. esc(getImage(i).metadata.description) .. "\' },\n")
  end
  for i=numImages, numImages, 1 do
    write("    {image: \'" .. getImage(i).exportFilename .. ".jpg\', width: " .. getImage(i).renditions.large.width .. ", height: " .. getImage(i).renditions.large.height .. ", title: \'" .. esc(getImage(i).metadata.title) .. "\', description: \'" .. esc(getImage(i).metadata.description) .. "\' }\n")
  end
  
  write("  ]\n")
  
  write("});")
%>